Pull request:    

Description

When you deploy a Windows machine using Image-Based (i.e. VMware Templates) the Puppet certificate is not automatically sign.

You must go on "Infrastructure" --> "Smart Proxies" in order to sign the certificate.

History

#1 - 03/21/2016 04:17 AM - Dominic Cleal

- Category set to PuppetCA

- Status changed from New to Need more information

Are you using a user data template?  If so, you must run the Puppet agent before the foreman_url('built') is called for it to autosign.

#2 - 04/12/2016 03:03 PM - Loic FONTAINE

Yes I am using a user template which invoke foreman_url('built') after Puppet was installed and launched.

I use Windows 2012 Server

#3 - 04/13/2016 02:56 AM - Dominic Cleal

Can you check if the autosign entry is added during provisioning, before built is called?  Does the host have a Puppet CA proxy assigned?

#4 - 04/13/2016 06:49 AM - Loic FONTAINE

It works now ! :)

I must do a "Sleep 300" in order to wait 5 minutes between puppet installation and foreman('built').

Thank you Dominic :)

#5 - 04/13/2016 09:49 AM - Dominic Cleal

- Status changed from Need more information to Resolved

Glad it's sorted.  You can also probably run the agent explicitly, which is what happens in other OS templates: 

https://github.com/theforeman/community-templates/blob/develop/snippets/puppet_setup.erb#L59
